> ## Name

> cgGetEffectContext - get a effect's context

> ## Synopsis

>     #include <Cg/cg.h>

>     CGcontext cgGetEffectContext( CGeffect effect );

> ## Parameters

> effect
>   The effect.

> ## Return Values

> Returns the context to which effect belongs.

> Returns NULL if an error occurs.

> ## Description

> cgGetEffectContext allows the application to retrieve a handle to the context to which a given effect belongs.

> ## Examples

> to-be-written

> ## Errors

> CG_INVALID_EFFECT_HANDLE_ERROR is generated if effect is not a valid effect.

> ## History

> cgGetEffectContext was introduced in Cg 1.4.

> ## See Also

> cgCreateEffect, cgCreateEffectFromFile, cgCreateContext